Index: sansview/perspectives/fitting/models.py
===================================================================
--- sansview/perspectives/fitting/models.py	(revision 81bece457cffd964f67cae21b4708d71607ed6c4)
+++ sansview/perspectives/fitting/models.py	(revision ce07fa83075c34e079a22b934793691e09a226fe)
@@ -166,7 +166,15 @@
         self.multiplication_factor.append(SphereModel)
         
+        from sans.models.FuzzySphereModel import FuzzySphereModel
+        self.shape_list.append(FuzzySphereModel)
+        self.multiplication_factor.append(FuzzySphereModel)
+        
         from sans.models.CoreShellModel import CoreShellModel
         self.shape_list.append(CoreShellModel)
         self.multiplication_factor.append(CoreShellModel)
+
+        from sans.models.CoreFourShellModel import CoreFourShellModel
+        self.shape_list.append(CoreFourShellModel)
+        self.multiplication_factor.append(CoreFourShellModel)
         
         from sans.models.VesicleModel import VesicleModel
@@ -196,4 +204,6 @@
         self.shape_list.append(FlexibleCylinderModel)
 
+        from sans.models.FlexCylEllipXModel import FlexCylEllipXModel
+        self.shape_list.append(FlexCylEllipXModel)
         
         from sans.models.StackedDisksModel import StackedDisksModel
@@ -248,33 +258,43 @@
         
         ##shape-independent models
+            
+        from sans.models.PowerLawAbsModel import PowerLawAbsModel
+        self.shape_indep_list.append( PowerLawAbsModel )
+        
         from sans.models.BEPolyelectrolyte import BEPolyelectrolyte
         self.shape_indep_list.append(BEPolyelectrolyte )
         self.form_factor_dict[str(wx.NewId())] =  [SphereModel]
+
         from sans.models.DABModel import DABModel
         self.shape_indep_list.append(DABModel )
         
+        from sans.models.DebyeModel import DebyeModel
+        self.shape_indep_list.append(DebyeModel )
+        
         from sans.models.GuinierModel import GuinierModel
         self.shape_indep_list.append(GuinierModel )
         
-        from sans.models.DebyeModel import DebyeModel
-        self.shape_indep_list.append(DebyeModel )
-        
+        from sans.models.FractalModel import FractalModel
+        self.shape_indep_list.append(FractalModel )
+        
+        from sans.models.LorentzModel import LorentzModel
+        self.shape_indep_list.append( LorentzModel) 
+        
+        from sans.models.PeakGaussModel import PeakGaussModel
+        self.shape_indep_list.append(PeakGaussModel)
+        
+        from sans.models.PeakLorentzModel import PeakLorentzModel
+        self.shape_indep_list.append(PeakLorentzModel)
+        
+        from sans.models.Poly_GaussCoil import Poly_GaussCoil
+        self.shape_indep_list.append(Poly_GaussCoil)
+                 
         from sans.models.PorodModel import PorodModel
         self.shape_indep_list.append(PorodModel )
         
-        from sans.models.PeakGaussModel import PeakGaussModel
-        self.shape_indep_list.append(PeakGaussModel)
-        
-        from sans.models.PeakLorentzModel import PeakLorentzModel
-        self.shape_indep_list.append(PeakLorentzModel)
-        
-        from sans.models.FractalAbsModel import FractalAbsModel
-        self.shape_indep_list.append(FractalAbsModel)
-        
-        from sans.models.LorentzModel import LorentzModel
-        self.shape_indep_list.append( LorentzModel) 
-            
-        from sans.models.PowerLawAbsModel import PowerLawAbsModel
-        self.shape_indep_list.append( PowerLawAbsModel )
+        
+        #FractalModel (a c-model)will be used.
+        #from sans.models.FractalAbsModel import FractalAbsModel
+        #self.shape_indep_list.append(FractalAbsModel)
         
         from sans.models.TeubnerStreyModel import TeubnerStreyModel
@@ -283,4 +303,5 @@
         from sans.models.LineModel import LineModel
         self.shape_indep_list.append(LineModel)
+
     
         #Looking for plugins
Index: theoryview/perspectives/theory/models.py
===================================================================
--- theoryview/perspectives/theory/models.py	(revision 0277d084dedd5afcedd8dd067ab01cf0fee53b12)
+++ theoryview/perspectives/theory/models.py	(revision ce07fa83075c34e079a22b934793691e09a226fe)
@@ -166,7 +166,15 @@
         self.multiplication_factor.append(SphereModel)
         
+        from sans.models.FuzzySphereModel import FuzzySphereModel
+        self.shape_list.append(FuzzySphereModel)
+        self.multiplication_factor.append(FuzzySphereModel)
+           
         from sans.models.CoreShellModel import CoreShellModel
         self.shape_list.append(CoreShellModel)
         self.multiplication_factor.append(CoreShellModel)
+
+        from sans.models.CoreFourShellModel import CoreFourShellModel
+        self.shape_list.append(CoreFourShellModel)
+        self.multiplication_factor.append(CoreFourShellModel)
         
         from sans.models.VesicleModel import VesicleModel
@@ -196,4 +204,6 @@
         self.shape_list.append(FlexibleCylinderModel)
 
+        from sans.models.FlexCylEllipXModel import FlexCylEllipXModel
+        self.shape_list.append(FlexCylEllipXModel)
         
         from sans.models.StackedDisksModel import StackedDisksModel
@@ -248,33 +258,43 @@
         
         ##shape-independent models
+            
+        from sans.models.PowerLawAbsModel import PowerLawAbsModel
+        self.shape_indep_list.append( PowerLawAbsModel )
+        
         from sans.models.BEPolyelectrolyte import BEPolyelectrolyte
         self.shape_indep_list.append(BEPolyelectrolyte )
         self.form_factor_dict[str(wx.NewId())] =  [SphereModel]
+
         from sans.models.DABModel import DABModel
         self.shape_indep_list.append(DABModel )
         
+        from sans.models.DebyeModel import DebyeModel
+        self.shape_indep_list.append(DebyeModel )
+        
         from sans.models.GuinierModel import GuinierModel
         self.shape_indep_list.append(GuinierModel )
         
-        from sans.models.DebyeModel import DebyeModel
-        self.shape_indep_list.append(DebyeModel )
-        
+        from sans.models.FractalModel import FractalModel
+        self.shape_indep_list.append(FractalModel )
+        
+        from sans.models.LorentzModel import LorentzModel
+        self.shape_indep_list.append( LorentzModel) 
+        
+        from sans.models.PeakGaussModel import PeakGaussModel
+        self.shape_indep_list.append(PeakGaussModel)
+        
+        from sans.models.PeakLorentzModel import PeakLorentzModel
+        self.shape_indep_list.append(PeakLorentzModel)
+        
+        from sans.models.Poly_GaussCoil import Poly_GaussCoil
+        self.shape_indep_list.append(Poly_GaussCoil)
+                 
         from sans.models.PorodModel import PorodModel
         self.shape_indep_list.append(PorodModel )
         
-        from sans.models.PeakGaussModel import PeakGaussModel
-        self.shape_indep_list.append(PeakGaussModel)
-        
-        from sans.models.PeakLorentzModel import PeakLorentzModel
-        self.shape_indep_list.append(PeakLorentzModel)
-        
-        from sans.models.FractalAbsModel import FractalAbsModel
-        self.shape_indep_list.append(FractalAbsModel)
-        
-        from sans.models.LorentzModel import LorentzModel
-        self.shape_indep_list.append( LorentzModel) 
-            
-        from sans.models.PowerLawAbsModel import PowerLawAbsModel
-        self.shape_indep_list.append( PowerLawAbsModel )
+        
+        #FractalModel (a c-model)will be used.
+        #from sans.models.FractalAbsModel import FractalAbsModel
+        #self.shape_indep_list.append(FractalAbsModel)
         
         from sans.models.TeubnerStreyModel import TeubnerStreyModel
